问一下关于编译vim7的问题

Vim、Emacs配置和使用
回复
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

问一下关于编译vim7的问题

#1

帖子 Strange » 2006-05-19 10:08

一个是关于编译perl支持的问题
在Makefile里面已经打开了CONF_OPT_PERL = --enable-perlinterp选项了,不过./configure的时候
checking --enable-perlinterp argument... yes
checking for perl... /usr/bin/perl
checking Perl version... OK
checking if compile and link flags for Perl are sane... no: PERL DISABLED
这个是怎么回事啊?

还有是编译gvim的问题
checking for X... no
checking if X11 header files can be found... no
checking --enable-gui argument... no GUI support
checking X11/SM/SMlib.h usability... no
checking X11/SM/SMlib.h presence... no
checking for X11/SM/SMlib.h... no
no GUI selected; xim has been disabled
no GUI selected; fontset has been disabled
ubuntu 5.10默认安装之后安装了gcc4.0和glibc,但是x的开发环境在apt-get里面始终找不到
apt-get build-dep gvim 也没有
应该到哪里去找到这个X的开发环境啊

还有一个关于console vim的颜色问题
我用ncurses库编译的console vim,不过好像不能使用颜色的?
syntax = on打开后,只是某些关键字变粗体,某些关键字变下划线,怎么样能让vim正常显示颜色啊?
是ncurses编译的问题吗?
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#2

帖子 Strange » 2006-05-19 10:51

顺便再问ncurses编译的问题
在ubuntu默认的console下面,编译出来的ncurses为什么不能正确识别console的类型啊?
现在颜色都不好用。

还有那个terminfo是什么啊?apt-get里面找不到这个包?
头像
leal
帖子: 1119
注册时间: 2005-08-29 14:49
来自: 杭州
送出感谢: 0
接收感谢: 3 次
联系:

#3

帖子 leal » 2006-05-19 12:17

viewtopic.php?t=11432&highlight=vim7

多看看别人的经验

怎么你的编译好像搞得很复杂? 需要自己去弄 ncurses 库吗?
用心×恒 | 豆瓣 | 门户 | Blog
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#4

帖子 Strange » 2006-05-19 12:32

需要啊,ubuntu默认没有X的开发库,而且没有任何一种操作console的开发库... ...

那篇文章看过的,加上源,update之后
sudo apt-get build-dep vim-gtk
这步就不行了,没有这个包的
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 karron » 2006-05-19 12:43

把你的源贴出来看看.
需要加入src的源的.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#6

帖子 Strange » 2006-05-19 13:20

deb http://archive.ubuntu.com/ubuntu/ breezy universe
deb http://archive.ubuntu.com/ubuntu/ breezy universe
deb http://archive.ubuntu.com/ubuntu/ breezy universe
deb-src http://ubuntu.cn99.com/ubuntu/ breezy main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ breezy-updates main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ breezy-security main restricted universe multiverse
deb-src http://ubuntu.cn99.com/ubuntu/ breezy-backports main restricted universe multiverse
后面4个就是文章里面说要加入的,这样可以了吗?
头像
dongmh
帖子: 715
注册时间: 2005-06-21 20:24
来自: 甘肃
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 dongmh » 2006-05-19 23:20

我编译好了
你要吗 我上传到ftp上了
ubuntu 6.06
我是初学者 大家多多关照
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#8

帖子 Strange » 2006-05-20 19:01

我想要知道是安装什么库之后才正常编译的 :oops:
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 karron » 2006-05-20 19:14

加入源代码源之后,sudo apt-get update

sudo apt-get build-dep vim-gtk

就会安装必须的库,我不知道为什么你不行。很多人按照那篇文章都非常顺利地编译了。
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#10

帖子 Strange » 2006-05-21 19:25

又update之后总算可以了 :D
不过mzScheme库的支持好像没有包含在那个包里面,mzScheme功能还是没有编译进去,以后再研究吧
头像
leal
帖子: 1119
注册时间: 2005-08-29 14:49
来自: 杭州
送出感谢: 0
接收感谢: 3 次
联系:

#11

帖子 leal » 2006-05-21 20:07

vim-gtk 和 mzScheme 有什么关系,先装上需要的库,再启用相关的选项
用心×恒 | 豆瓣 | 门户 | Blog
头像
Strange
帖子: 1823
注册时间: 2006-05-19 9:54
来自: Shanghai
送出感谢: 2 次
接收感谢: 10 次

#12

帖子 Strange » 2006-05-22 10:09

要在vim里面使用mzScheme,是必须编译的时候把mzScheme一起编译进去的。
回复

回到 “Vim和Emacs”